package jlowplugin.server.event;

import jlowplugin.ui.ScriptPane;
import cds.jlow.server.motor.Work;
import cds.jlow.server.motor.event.*;

public class ScriptWorkListener implements WorkListener {

	private ScriptPane scriptPane;
	
	public ScriptWorkListener(ScriptPane s) {
//		System.out.println("Creates ScriptWorkListener");
		scriptPane = s;
	}
	 
	public void workChanged(WorkEvent event) {
//		System.out.println("workChanged");
		Work source = (Work) event.getSource();

		// Check the source and send message to the client if necessary
		char status = source.getStatus();
		// log.debug("Status "+status);

		// Start work
		if (status == Work.STARTED) {
//			System.out.println("work start");
			scriptPane.clear();
		}
	}

}
