package jlowplugin.ui;

import java.util.*;

public class RegisterInstance {
	
		//Attributs
	private Hashtable instancesMap;
	
	//Constructeurs
	public RegisterInstance() {
		instancesMap = new Hashtable();
		
	}
		
	//Methodes
	
	/**
	 *
	 */
	 public Object getInstance(Object key) {
	 	return instancesMap.get(key);	
	 }
	
	/**
	 * Ajouter ou modifier une instance dans la table.
	 */
	public void addInstance(Object key, Object instance) {
		instancesMap.put(key,instance);
	}
	
	/**
	 *
	 */
	 public void addInstance(String name) throws ClassNotFoundException, InstantiationException, IllegalAccessException {
	 	
	 	Class c = Class.forName(name);
		instancesMap.put(name,c.newInstance());
	 }
	
	 
	public Object getInstanceKey(Object obj) {
		Object key = null;
		for(Enumeration e = instancesMap.keys() ; e.hasMoreElements() ;) {
		    key = e.nextElement();
		    if(instancesMap.get(key).equals(obj))
		     return key;
		}
		return null;
    }
	 
}
