package jlowplugin.ui.util;

import cds.jlow.descriptor.*;
import cds.jlow.util.*;

/**
*
* 
* @author Cyril Pestel
* @version 2.0 beta Copyright CDS 2005 (kickoff 1 April 05)
*/
public class ToStringModule extends Module {
	//protected IDescriptor descriptor;
	
	public ToStringModule() {
		this(null);
	}
	
	public ToStringModule(IDescriptor desc) {
		descriptor = desc;
	}
	
	public String toString() {
		String tostring = "";
		
		if(descriptor!=null) {
			if(descriptor instanceof ITaskDescriptor) {
				ITaskDescriptor task = (ITaskDescriptor) descriptor;
				
				tostring += task.getName();
			}
			else if (descriptor instanceof IPortDescriptor) {
				IPortDescriptor port = (IPortDescriptor) descriptor;
				
				tostring += port.getName().charAt(0);
			}
		}
		
		return tostring;
	}
}
