package jlowplugin.action;

import java.awt.Point;
import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import javax.swing.AbstractAction;

import org.jgraph.graph.DefaultGraphCell;

import cds.aladin.Aladin;
import cds.jlow.client.graph.Jlow;
import cds.jlow.descriptor.IDescriptor;

public class HelpAction extends AbstractAction {

	public HelpAction(Aladin a, Jlow jlow) {
		putValue(NAME,"Help");
		putValue(MNEMONIC_KEY,new Integer(KeyEvent.VK_H));
		//putValue(ACCELERATOR_KEY,KeyStroke.getKeyStroke("F"));
		//putValue("graph",g);
		putValue("aladin",a);
		putValue("jlow",jlow);
	}
	
	public void actionPerformed(ActionEvent e) {
		Jlow jlow = (Jlow) getValue("jlow");
		Aladin aladin = (Aladin) getValue("aladin");
		
		// Find out the command
		if(jlow.getSelectionCount()==1) {
		
			IDescriptor desc = null;
			
			// Find out the cell
			Point point = (Point) jlow.getMarqueeHandler().getCurrentPoint();
			Object cell = jlow.getNextCell(point);
			
			if(cell!=null)
				desc = jlow.getIDescriptor((DefaultGraphCell) cell);
			
			System.out.println("desc : "+desc.getID());
			if(desc!=null) {
				String cmd = (String) desc.getAtt("cmd");
				System.out.println("cmd : "+cmd);
				// Help
				if(cmd!=null) {
					aladin.execCommand("help "+cmd);
				}
			}
		}
		// Else
	}

}
