package jlowplugin.server;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import javax.swing.AbstractAction;

import cds.jlow.client.graph.Jlow;
import cds.jlow.client.net.service.DefaultService;
import cds.jlow.client.net.socket.SocketConnexion;

public class LocalExecAction extends AbstractAction {

	public LocalExecAction(Jlow g) {
		putValue(NAME, "Execute");
		putValue(MNEMONIC_KEY, new Integer(KeyEvent.VK_E));
		putValue("graph", g);
	}
	
	/**
	 * Invoked when an action occurs.
	 * 
	 * @param e
	 *            an action event
	 */
	public void actionPerformed(ActionEvent e) {
		
		Jlow graph = (Jlow) getValue("graph");
		
		//LocalService service = new LocalService(graph);
		DefaultService service = new DefaultService(graph,
				new SocketConnexion());
		
		if (graph == null || service == null)
			return; // Pas de graph selectionne

		// System.out.println("execute service");
		if (!service.execute())
			System.err.println("No service available");

	}
}
