package jlowplugin.ui.tree;

import javax.swing.tree.DefaultMutableTreeNode;

import cds.jlow.client.sample.tree.DescriptorTree;
import cds.jlow.descriptor.ITaskDescriptor;

public class AladinDescriptorTree extends DescriptorTree {

	public AladinDescriptorTree(DefaultMutableTreeNode _root) {
		super(_root);
	}
	
	public String convertValueToText(Object value, boolean selected, boolean expanded, boolean leaf, int row, boolean hasFocus) {
    	Object userObject = ((DefaultMutableTreeNode) value).getUserObject();
    	//System.out.println("convertValue : "+userObject+" ("+userObject.getClass()+")");
    	if(userObject!=null) {
    	
    		String text = null;
	    	if(userObject instanceof ITaskDescriptor) {
	    		text = ((ITaskDescriptor) userObject).getID();
	    		return text;
	    	}
    	}
    	return super.convertValueToText(value, selected, expanded, leaf, row, hasFocus);
	}
}
