package jlowplugin.ui.tree.event;

import java.awt.Component;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

import javax.swing.JScrollPane;

import cds.jlow.client.graph.Jlow;

import jlowplugin.ui.ScriptPane;
import jlowplugin.ui.StateBar;

public class CommentMouseListener extends MouseAdapter {

	private StateBar stateBar;
	
	public CommentMouseListener(StateBar s) {
		stateBar = s;
	}
	
	public void mouseEntered(MouseEvent event) {
		Object source = event.getSource();
		if(source instanceof Jlow)
			stateBar.setComment("Drops elements from task sidebar");
		else if(source instanceof ScriptPane) {
			stateBar.setComment("Shows you the aladin script representing the current workflow");
		}
		else if(source instanceof JScrollPane) {
//			Component[] com = ((JScrollPane) source).getComponents();
//			for(int i=0;i<com.length;i++)
//				System.out.println("component : "+i+" "+com[i]);
			
//			System.out.println("viewport : "+((JScrollPane) source).getViewport().getView());
			if(((JScrollPane) source).getViewport().getView() instanceof ScriptPane)
				stateBar.setComment("Shows you the aladin script representing the current workflow");
		}
//		System.out.println("source enter  : "+source.getClass());
	}
	
	public void mouseExited(MouseEvent event) {
//		System.out.println("source exit : "+event.getSource().getClass());
		stateBar.clearComment();
	}
	
}
